% File: Ch1_Prob1_5.m

clear all, close all, clc

H(1)=10;
t(1)=0;
hold on

dt=2.5;
for n=2:10
    t(n)=(n-1)*dt;
    H(n)=(1-dt/5)*H(n-1);
end
plot(t,H,'*b')
grid on
    
dt=1;
for n=2:25
    t(n)=(n-1)*dt;
    H(n)=(1-dt/5)*H(n-1);
end
plot(t,H,'sr')

dt=0.25;
for n=2:100
    t(n)=(n-1)*dt;
    H(n)=(1-dt/5)*H(n-1);
end
plot(t,H,'.k')

title('Tank Level Approximation Using Different Values of \Delta\itt','Fontsize',11)
ylabel('\itH_{\rmA}  \rm(ft)','FontSize',11)
xlabel('\itt  \rm(min)','FontSize',11)

legend('\Delta\itt \rm= 2.5','\Delta\itt \rm= 1','\Delta\itt \rm= 0.25')
text(10,5,'Nonlinear model: F_0 = cH^{1/2}','FontSize',11)
