% File: Ch2_Ex2_1.m

close all
clc
clear all

v0=3; E0=12; R=5000; C=0.000000125;
tau=R*C; K=1;

vss=K*E0;

ti=linspace(0,5*tau,300);
vi=v0*exp(-ti/tau)+K*E0*(1-exp(-ti/tau));
vtri=(v0-K*E0)*exp(-ti/tau);
hold on
plot([0 5*tau],[vss vss],'k','LineWidth',1.3)
plot(ti,vtri,'b','LineWidth',1.3)
plot(ti,vi,'r','LineWidth',1.3)
plot([-0.0005 5*tau],[0 0],'k')
% plot([0 0],[v0-K*E0 vss],'k')
grid on
%v=[-0.0002 0.003 -10 15];
v=[0 0.003 -10 15];
axis(v)
title('Steady-state, Transient and Total Response','FontSize',11)
xlabel('t  (s)','FontSize',12)
ylabel('v(t),  (V)','FontSize',12)
text(0.0005,13,'v_c(\infty) = 12 V','FontSize',13)
text(0.0006,7.5,'v_c(t) = v_c(\infty) + v_c(t)_{tr}','FontSize',13)
text(0.0006,-5,'v_c(t)_{tr} = -9e^{-t /\tau}','FontSize',13)
text(0.00175,-5,'\tau = 0.625 ms','FontSize',13)
set(gca,'YTick',[-10:2:14])
set(gca,'FontSize',11)
plot([0],[3],'.k')
text(0.1e-3,3,'v_c(0) = 3 V','FontSize',13)