% File: Ch2_Fig2_32.m
% Plots Figure.32

clc
clear all
close all

xi=linspace(0,25,500);
yi=0.2*sqrt(xi);
plot(xi,yi,'b','LineWidth',1.3)
grid on
axis([0 22 0 1])
hold on
ylabel('y','FontSize',13)
xl=10; xu=15;
yl=0.2*sqrt(xl);
yu=0.2*sqrt(xu);
plot(xl,yl,'.r','MarkerSize',12)
plot(xu,yu,'.r','MarkerSize',12)
plot([xl xl],[0 yl],'--k')
plot([xu xu],[0 yu],'--k')
set(gca,'FontSize',11)
set(gca,'XTIck',[0 2 4 6 8 10 12 14 15 16 18 20])
set(gca,'YTIck',[0:0.1:1])
text(3,0.6,'y = 0.2x^2','FontSize',13)
text(9.8,-0.095,'x_l','FontSize',11)
text(14.8,-0.095,'x_u','FontSize',11)
text(10.9,0.32,'region of','FontSize',11)
text(11.5,0.27,'linear','FontSize',11)
text(10.2,0.22,'approximation','FontSize',11)
text(22,-0.04,'x','FontSize',13)
title('Nonlinear Function with Approximately Linear Region','FontSize',11)

