% File: Ch2_Prob2_22.m

clc, clear all, close all

T=0.05;
tf=1;
nf=round(tf/T);
ti=linspace(0,tf,500);
un=1;
freq=1;

t(1)=0;
xA(1)=-2;
for n=1:nf        
    t(n+1)=n*T;    
    xA(n+1)=xA(n)+T*(un-xA(n)*xA(n));    
end % n    
plot(t(1:freq:end),xA(1:freq:end),'.b--','MarkerSize',10)
hold on
grid on

clear t xA
t(1)=0;
xA(1)=-1;
for n=1:nf        
    t(n+1)=n*T;    
    xA(n+1)=xA(n)+T*(un-xA(n)*xA(n));    
end % n    
plot(t(1:freq:end),xA(1:freq:end),'.r--','MarkerSize',10)

clear t xA
t(1)=0;
xA(1)=0;
for n=1:nf        
    t(n+1)=n*T;    
    xA(n+1)=xA(n)+T*(un-xA(n)*xA(n));    
end % n    
plot(t(1:freq:end),xA(1:freq:end),'.k--','MarkerSize',10)

clear t xA
t(1)=0;
xA(1)=1;
for n=1:nf        
    t(n+1)=n*T;    
    xA(n+1)=xA(n)+T*(un-xA(n)*xA(n));    
end % n    
plot(t(1:freq:end),xA(1:freq:end),'.g--','MarkerSize',10)

clear t xA
t(1)=0;
xA(1)=5;
for n=1:nf        
    t(n+1)=n*T;    
    xA(n+1)=xA(n)+T*(un-xA(n)*xA(n));    
end % n    
plot(t(1:freq:end),xA(1:freq:end),'.m--','MarkerSize',10)

axis([0 tf -10 6])
text(0.6,-3,'T = 0.05','FontSize',11)
ylabel('x_A(nT)','FontSize',11)
xlabel('t','FontSize',11)
title('Nonlinear System Step Response for Different Values of x(0)','FontSize',11)

legend('x(0) = -2','x(0) = -1','x(0) = 0','x(0) = 1','x(0) = 5','Location','SouthEast')