% File: Ch2_Prob2_35.m

clear all; close all; clc

r=100;
KC=0.6; KI=0.1;
tau=10; Kthd=20; Kth=10;
T=0.0025;
r=100;
a11=-Kthd*KC*T/tau;    a12=(Kth-(Kthd/tau))*T;    a13=Kthd*KI*T/tau;
a21=-KC*T/tau;    a22=-T/tau;    a23=KI*T/tau;
a31=-T;    a32=0;    a33=0;
b1=Kthd*KC*T/tau;
b2=KC*T/tau;
b3=T;
c11=-KC;    c12=0;    c13=KI;
c21=-Kthd*KC/tau;    c22=Kth-(Kthd/tau);    c23=Kthd*KI/tau;
c31=1;    c32=0;    c33=0;
d1=KC;
d2=Kthd*KC/tau;
d3=0;
x1A(1)=0; x2A(1)=0; x3A(1)=0;
tfinal=12;
ifinal=round(tfinal/T);

for i=1:ifinal    
    t(i)=(i-1)*T;
    x1A(i+1)=x1A(i)+a11*x1A(i)+a12*x2A(i)+a13*x3A(i)+b1*r;
    x2A(i+1)=x2A(i)+a21*x1A(i)+a22*x2A(i)+a23*x3A(i)+b2*r;
    x3A(i+1)=x3A(i)+a31*x1A(i)+a32*x2A(i)+a33*x3A(i)+b3*r; 
    cA(i)=c31*x1A(i)+c32*x2A(i)+c33*x3A(i)+d3*r;
end
del=50;
subplot(2,1,1)
plot(t(1:del:end),cA(1:del:end),'b.')
grid on
set(gca,'XTick',[0:12],'FontSize',11)
ylabel('c_{A}  (ft)','FontSize',11)
title('Sub Depth c_A vs. Time','FontSize',11)
%%%%% Part d)

KD=0;
a3=tau+KD*Kthd;
a2=1+KC*Kthd+KD*Kth;
a1=KC*Kth+KI*Kthd;
a0=KI*Kth;
b3=KD*Kthd;
b2=KC*Kthd+KD*Kth;
b1=KC*Kth+KI*Kthd;
b0=KI*Kth;

alpha0=b0-a0*(b3/a3);
alpha1=b1-a1*(b3/a3);
alpha2=b2-a2*(b3/a3);
beta=b3/a3;

clear t x1A x2A x3A
x1A(1)=0; x2A(1)=0; x3A(1)=0;

for i=1:ifinal    
    t(i)=(i-1)*T;
    x1A(i+1)=x1A(i)+T*x2A(i);
    x2A(i+1)=x2A(i)+T*x3A(i);
    x3A(i+1)=x3A(i)-(T/a3)*(a0*x1A(i)+a1*x2A(i)+a2*x3A(i)-r);
    yA(i)=alpha0*x1A(i)+alpha1*x2A(i)+alpha2*x3A(i)+beta*r;
end

subplot(2,1,2)
plot(t(1:del:end),yA(1:del:end),'b.')
grid on
ylabel('y_{A}  (ft)','FontSize',11)
xlabel('t  (sec)','FontSize',11)
title('Sub Depth y_A vs. Time','FontSize',11)
set(gca,'XTick',[0:12],'FontSize',11)

%%%%% Part e)

clear t x1A x2A x3A yA

KD=0.25; KC=1.5; KI=0.1;
a3=tau+KD*Kthd;
a2=1+KC*Kthd+KD*Kth;
a1=KC*Kth+KI*Kthd;
a0=KI*Kth;
b3=KD*Kthd;
b2=KC*Kthd+KD*Kth;
b1=KC*Kth+KI*Kthd;
b0=KI*Kth;

alpha0=b0-a0*(b3/a3);
alpha1=b1-a1*(b3/a3);
alpha2=b2-a2*(b3/a3);
beta=b3/a3;

x1A(1)=0; x2A(1)=0; x3A(1)=0;
tfinal=8;
ifinal=round(tfinal/T);

for i=1:ifinal    
    t(i)=(i-1)*T;
    x1A(i+1)=x1A(i)+T*x2A(i);
    x2A(i+1)=x2A(i)+T*x3A(i);
    x3A(i+1)=x3A(i)-(T/a3)*(a0*x1A(i)+a1*x2A(i)+a2*x3A(i)-r);
    yA(i)=alpha0*x1A(i)+alpha1*x2A(i)+alpha2*x3A(i)+beta*r;
end

figure(2)
plot(t(1:del:end),yA(1:del:end),'b.--')
grid on
hold on
axis([0 tfinal 0 120])
ylabel('y_{A}  (ft)','FontSize',11)
xlabel('t  (sec)','FontSize',11)
set(gca,'XTick',[0:8],'FontSize',11)

KD=0; KC=1; KI=0.2;
a3=tau+KD*Kthd;
a2=1+KC*Kthd+KD*Kth;
a1=KC*Kth+KI*Kthd;
a0=KI*Kth;
b3=KD*Kthd;
b2=KC*Kthd+KD*Kth;
b1=KC*Kth+KI*Kthd;
b0=KI*Kth;

alpha0=b0-a0*(b3/a3);
alpha1=b1-a1*(b3/a3);
alpha2=b2-a2*(b3/a3);
beta=b3/a3;

x1A(1)=0; x2A(1)=0; x3A(1)=0;

for i=1:ifinal    
    t(i)=(i-1)*T;
    x1A(i+1)=x1A(i)+T*x2A(i);
    x2A(i+1)=x2A(i)+T*x3A(i);
    x3A(i+1)=x3A(i)-(T/a3)*(a0*x1A(i)+a1*x2A(i)+a2*x3A(i)-r);
    yA(i)=alpha0*x1A(i)+alpha1*x2A(i)+alpha2*x3A(i)+beta*r;
end

plot(t(1:del:end),yA(1:del:end),'r.--')
title('Sub Depth vs. Time for Different Control Parameter Values','FontSize',11) 
legend('K_C = 1.5, K_I = 0.1, K_D = 0.25','K_C = 1, K_I = 0.2, K_D = 0','Location','SouthEast')


