% File: Ch2_Prob2_6.m

close all, clear all, clc


Q1=10;
Q2=5;
V1=15;
V2=15;
cbar=0.25;
alpha=Q1*(V1+V2)/(V1*V2);
beta=Q1*(Q1-Q2)/(V1*V2);
gamma=(Q1-Q2)/V1;
disc=alpha^2 - 4*beta;
r1=(-alpha+sqrt(disc))/2;
r2=(-alpha-sqrt(disc))/2;
D=cbar;
E=(cbar/r1)*(gamma*r1+beta)/(r1-r2);
F=(cbar/r2)*(gamma*r2+beta)/(r2-r1);
tfinal=5*max(-1/r1,-1/r2);
t=linspace(0,tfinal,1000);
c1=D+E*exp(r1*t)+F*exp(r2*t);
plot(t,c1,'b','LineWidth',1.3)
hold on
grid on
tau1=-1/r1;
tau2=-1/r2;
c2=cbar*(1+(tau2*exp(-t/tau2)-tau1*exp(-t/tau1))/(tau1-tau2));
plot(t,c2,'r','LineWidth',1.3)
set(gca,'XTick',[0:2.5:25])
set(gca,'YTick',[0:0.025:0.25])
axis([-1 tfinal 0 0.28])
plot([0 0],[0 cbar],'k--')
plot([0 tfinal],[cbar cbar],'k','LineWidth',1.3)
xlabel('\itt  \rm(min)','FontSize',11)
ylabel('\itc_{\rm1}\rm(\itt\rm) and \itc_{\rm2}\rm(\itt\rm),  lbs salt per gal','FontSize',11)
title('Step Response of Salt Concentration in Both Tanks','FontSize',11)
%text(0.5,0.22,'\itc\rm(\itt\rm)','FontSize',11)
text(1.5,0.15,'\itc_{\rm1}\rm(\itt\rm)','FontSize',11)
text(6.5,0.15,'\itc_{\rm2}\rm(\itt\rm)','FontSize',11)
text(3,0.26,'\itc\rm(\itt\rm) = \itc \rm= 0.25 lbs salt per gal','FontSize',11)
text(5.50,0.27,'_','FontSize',11)


