% m-file Ch4_Ex4_19.m
% Plots Figure 4.43

clc; close all; clear all

w=2*pi;
tfinal=4.5*pi/w;
t=linspace(0,tfinal,500);
x=sin(w*t);
x=x.*(x>0);
plot(t,x,'b--','LineWidth',1.3)
grid on
v=[-0.1,tfinal+0.1,-0.25,1.5];
axis(v)
set(gca,'XTick',[0:0.25:2],'YTick',[0:0.2:1])
hold on
T=2*pi/(8*w);
kfinal=round(tfinal/T);
k=1:kfinal+1;
tk=(k-1)*T;
xk=sin(w*tk);
xk=xk.*(xk>0);
plot(tk,xk,'.r','MarkerSize',12)
plot([0 tfinal],[0 0],'k')
set(gca,'FontSize',11)
for i=1:10
    plot([tk(i) tk(i)],[-0.02 0.02],'k')
    text(tk(i)-0.01,-0.1,num2str(i-1))
end % k
for i=11:18
    plot([tk(i) tk(i)],[-0.02 0.02],'k')
    text(tk(i)-0.03,-0.1,num2str(i-1))
end % k
text(tfinal,-0.1,'k','FontSize',11)
xlabel('t  (s)','FontSize',12)
text(0.05,1.3,'v(t) = sin2\pit,  k/2 \leq t \leq (k+1)/2,  n = 0,2,4,... ','FontSize',12)
text(0.3, 1.15,'0,        elsewhere','FontSize',12)
text(0.55,0.8,'T = 1/8 s','FontSize',12)
title('Sampling the Output of a Half-wave Rectifier with Input sin2\pit','FontSize',11)
text(2.1,1.4,'v(t)','FontSize',12)
plot([1.94 2.08],[1.4 1.4],'b--','LineWidth',1.3)
text(2.1,1.25,'v_{k}','FontSize',12)
plot(2.02,1.25,'.r','MarkerSize',12)