% m-file Ch4_Ex4_30.m
clc, clear all

% Part a)
disp('Part a)')
a1=0, a2=-0.25, b0=1
num_Hz=[b0 0 0]; % numerator of H(z)
den_Hz=[1 a1 a2]; % denominator of H(z)
format rat
P_Hz=roots(den_Hz); % poles of H(z)
p1=P_Hz(1), p2=P_Hz(2)
num_Hzdz=[b0 0]; % numerator of H(z)/z
den_Hzdz=den_Hz; % denominator of H(z)/z
[R_Hzdz P_Hzdz]=residue(num_Hzdz,den_Hzdz); % residues and poles of H(z)/z
A=R_Hzdz(1), B=R_Hzdz(2)
disp('hk=A*(p1^k) + B*(p2^k)')
num_Yzdz=b0*[2 -1.1 0 0]; % numerator of Y(z)/z
den_Yzdz=conv([1 a1 a2],[1 -1.1 0.1]);
[R_Yzdz P_Yzdz]=residue(num_Yzdz,den_Yzdz);
p1=P_Yzdz(1), p2=P_Yzdz(2), p3=P_Yzdz(3), p4=P_Yzdz(4) 
c1=R_Yzdz(1), c2=R_Yzdz(2), c3=R_Yzdz(3), c4=R_Yzdz(4) 
disp('yk=c1*(p1^k) + c2*(p2^k) + c3*(p3^k) + c4*(p4^k)')


% Part b)
disp(' ')
disp('Part b)')
a1=-0.5, a2=-0.5, b0=1
num_Hz=[b0 0 0]; % numerator of H(z)
den_Hz=[1 a1 a2]; % denominator of H(z)
format rat
P_Hz=roots(den_Hz); % poles of H(z)
p1=P_Hz(1), p2=P_Hz(2)
num_Hzdz=[b0 0]; % numerator of H(z)/z
den_Hzdz=den_Hz; % denominator of H(z)/z
[R_Hzdz P_Hzdz]=residue(num_Hzdz,den_Hzdz); % residues and poles of H(z)/z
A=R_Hzdz(1), B=R_Hzdz(2)
disp('hk=A*(p1^k) + B*(p2^k)')
num_Yzdz=b0*[2 -1.1 0 0]; % numerator of Y(z)/z
den_Yzdz=conv([1 a1 a2],[1 -1.1 0.1]); 
[R_Yzdz P_Yzdz]=residue(num_Yzdz,den_Yzdz);
p1=P_Yzdz(1), p2=P_Yzdz(2), p3=P_Yzdz(3), p4=P_Yzdz(4) 
c1=R_Yzdz(1), c2=R_Yzdz(2), c3=R_Yzdz(3), c4=R_Yzdz(4)
disp('yk=c1*(p1^k) + c2*(k) + c3*(p3^k) + c4*(p4^k)')


% Part c)
disp(' ')
disp('Part c)')
a1=-1.5, a2=-1, b0=1
num_Hz=[b0 0 0]; % numerator of H(z)
den_Hz=[1 a1 a2]; % denominator of H(z)
format rat
P_Hz=roots(den_Hz); % poles of H(z)
p1=P_Hz(1), p2=P_Hz(2)
num_Hzdz=[b0 0]; % numerator of H(z)/z
den_Hzdz=den_Hz; % denominator of H(z)/z
[R_Hzdz P_Hzdz]=residue(num_Hzdz,den_Hzdz); % residues and poles of H(z)/z
A=R_Hzdz(1), B=R_Hzdz(2)
disp('hk=A*(p1^k) + B*(p2^k)')
num_Yzdz=b0*[2 -1.1 0 0]; % numerator of Y(z)/z
den_Yzdz=conv([1 a1 a2],[1 -1.1 0.1]);
[R_Yzdz P_Yzdz]=residue(num_Yzdz,den_Yzdz)
p1=P_Yzdz(1), p2=P_Yzdz(2), p3=P_Yzdz(3), p4=P_Yzdz(4) 
c1=R_Yzdz(1), c2=R_Yzdz(2), c3=R_Yzdz(3), c4=R_Yzdz(4) 
disp('yk=c1*(p1^k) + c2*(p2^k) + c3*(p3^k) + c4*(p4^k)') 
 


