% m-file Ch4_Fig4_65.m
% Plots Figure 4.65

close all; clc; clear all;

subplot (2,3,1)
p=1.25;
k=0:10;
y=p.^k;
plot(k,y,'.b')
grid on
set(gca,'FontSize',11)
set(gca,'YTick',[0:2:10])
set(gca,'XTick',[0:2:10])
text(1.5,5,'(1.25)^k','FontSize',12)
title('Pole of H(z), p>1')

subplot (2,3,2)
p=1;
k=0:10;
y=p.^k;
plot(k,y,'.b')
grid on
set(gca,'FontSize',11)
set(gca,'YTick',[0:0.5:2])
set(gca,'XTick',[0:2:10])
text(5,1.25,'1^k','FontSize',12)
title('Pole of H(z), p=1')

subplot (2,3,3)
p=0.9;
k=0:25;
y=p.^k;
plot(k,y,'.b')
grid on
axis([0 25 0 1.1])
set(gca,'FontSize',11)
set(gca,'YTick',[0:0.25:1])
set(gca,'XTick',[0:5:25])
text(10,0.6,'(0.75)^k','FontSize',12)
title('Pole of H(z), 0<p<1')

subplot (2,3,4)
p=0.-0.5;
k=0:10;
y=p.^k;
plot(k,y,'.:b')
grid on
axis([0 10 -0.6 1.1])
xlabel('k','FontSize',12)
set(gca,'FontSize',11)
set(gca,'YTick',[-0.5:0.25:1])
set(gca,'XTick',[0:2:10])
text(5.5,0.25,'(-0.5)^k','FontSize',12)
title('Pole of H(z), -1<p<0')

subplot (2,3,5)
p=-1;
k=0:10;
y=p.^k;
plot(k,y,'.:b')
grid on
xlabel('k','FontSize',12)
set(gca,'FontSize',11)
set(gca,'YTick',[-1:0.5:1])
set(gca,'XTick',[0:2:10])
axis([0 10 -1.25 1.7])
text(4.5,1.4,'(-1)^k','FontSize',12)
title('Pole of H(z), p=-1')

subplot (2,3,6)
p=-1.5;
k=0:10;
y=p.^k;
plot(k,y,'.:b')
grid on
axis([0 10 -50 75])
xlabel('k','FontSize',12)
set(gca,'FontSize',11)
set(gca,'YTick',[-50:25:75])
set(gca,'XTick',[0:2:10])
text(2,30,'(-1.5)^k','FontSize',12)
title('Pole of H(z), p<-1')






