% Chap4_Tustin.m

clc;close all; clear all

T=0.025;
wn=2; zeta=0.5; K=1;
wnT=wn*T;
wnTsq=wnT*wnT;
d=4*(1+zeta*wnT)+wnTsq;
a1=2*(wnTsq-4)/d;
a0=(4*(1-zeta*wnT)+wnTsq)/d;
b2=wnTsq/d;
b1=2*b2;
b0=b2;
A=[-a1 -a0;1 0];
B=[1;0];
C=[b1-a1*b2 b0-a0*b2];
D=[b2];

sys=ss(A,B,C,D,T)

%%%%% begin c2d example %%%%%
H_s=tf(K*wn^2,[1 2*zeta*wn wn^2])
H_z=c2d(H_s,T,'tustin')