% m-file Ch4_block_diagram.m
clc; close all; clear all

s=tf('s');
Gc=5*(10*s+1)/(2*s+1);
G1=8/(3*s+1);
G2=(s+5)/(s^2+12*s+25);
G3=1/(0.2*s+1);
G4=1/s;
H=1/(50*s+1);
G1G2=series(G1,G2);
G1G2_plus_G3=parallel(G1G2,G3);
TF_inner_loop=feedback(G1G2_plus_G3,H) 
G=series(Gc,TF_inner_loop);
G_forward_path_1=series(G,G4);
TF_outer_loop_1=feedback(G_forward_path_1,1)

subplot(2,1,1)
step(TF_outer_loop_1,'b')
grid on
set(gca,'FontSize',11)
set(gca,'XTick',[0:0.25:2.5])

subplot(2,1,2)
impulse(TF_outer_loop_1,'b')
grid on
set(gca,'FontSize',11)
set(gca,'XTick',[0:0.25:2.5])