% Chap4_sub.m
clc; close all; clear all

r=100;
KC=0.6; KI=0.1;
tau=10; Kthd=20; Kth=10;
a11=-Kthd*KC/tau;    a12=(Kth-(Kthd/tau));    a13=Kthd*KI/tau;
a21=-KC/tau;    a22=-1/tau;    a23=KI/tau;
a31=-1;    a32=0;    a33=0;
b1=Kthd*KC/tau;
b2=KC/tau;
b3=1;
c11=-KC;    c12=0;    c13=KI;
c21=-Kthd*KC/tau;    c22=Kth-(Kthd/tau);    c23=Kthd*KI/tau;
c31=1;    c32=0;    c33=0;
d1=KC;
d2=Kthd*KC/tau;
d3=0;
A1=[a11 a12 a13; a21 a22 a23; a31 a32 a33];
B1=[b1; b2; b3];
C1=[c11 c12 c13; c21 c22 c23; c31 c32 c33];
D1=[d1; d2; d3];
sys_ss_1=ss(A1,B1,C1,D1);   % creates state space system object for (A1,B1,C1,D1)
sys_tf=tf(sys_ss_1);  % converts state space system to transfer function system object
[num1,den1]=ss2tf(A1,B1,C1,D1);   % alternate method for converting state space to transfer functions
sys_ss_2=ss(sys_tf); % converts transfer function object to state space system object with matrices (A2,B2,C2,D2)
[A3,B3,C3,D3]=tf2ss(num1,den1); % converts transfer function to state space controller canonical form
[num2,den2]=ss2tf(A3,B3,C3,D3);  % converts state space (A3,B3,C3,D3) to transfer functions
step(sys_ss_1,'b');
grid on
set(gca,'FontSize',11)