% m-file Ch5_Fig5_23.m
% plots Figure 5.23

clc, close all, clear all

sim('SubDepth_C')

t=v(:,1);
vsim=v(:,2);
vanal=v(:,3);
vdiff=v(:,4);

subplot(3,1,1)
plot(t,vsim)
ylabel('vsim (ft/sec)','FontSize',11)
axis([0 30 0 30])
set(gca,'YTick',[0:10:30],'FontSize',11)
set(gca,'XTick',[])
title('Simulated Depth Rate vs Time','FontSize',11)

subplot(3,1,2)
plot(t,vanal)
ylabel('vanal (ft/sec)','FontSize',11)
axis([0 30 0 30])
set(gca,'YTick',[0:10:30],'FontSize',11)
set(gca,'XTick',[])
title('Analytical Depth Rate vs Time','FontSize',11)

subplot(3,1,3)
plot(t,vdiff)
ylabel('vsim - vanal (ft/sec)','FontSize',11)
axis([0 30 -0.01 0.01])
set(gca,'YTick',[-0.01 0.01],'FontSize',11)
set(gca,'XTick',[0:5:30],'FontSize',11)
title('Simulated - Analytical Depth Rate vs Time','FontSize',11)
xlabel('time  (sec)','FontSize',11)