% m-file "Ch5_call_invert_pend.m"
% calls sim file "invert_pend.mdl" and plots Figure 5.34

clc
clear all
close all

sim('invert_pend')
t=theta(:,1);
theta=theta(:,2);
plot(t,theta,'b','LineWidth',1.3)
axis([0 6 80 280])
grid on
set(gca,'FontSize',11)
set(gca,'XTick',[0:0.5:6],'YTick',[80:25:280])
title('Angular Displacement (deg) vs. Time (s)','FontSize',11)
xlabel('t  (s)','FontSize',12)
ylabel('\theta(t),  (deg)','FontSize',12)