% Chap5_invert_pend_params.m

clear
clc

% System parameters
l=0.5; % pendulum length
g=9.8; % gravity
m=0.1; % pendulum bob mass
M=2; % cart mass

sim('invert_pend_w_subsys')
t=theta(:,1);
theta=theta(:,2);
plot(t,theta,'b','LineWidth',1.3)
grid on
set(gca,'FontSize',11)
set(gca,'XTick',[0:2.5:25])
set(gca,'YTick',[-400:100:800])
xlabel('t  (s)','FontSize',13)
ylabel('\theta  (deg)','FontSize',13)
title('Angular Position \theta vs. t','FontSize',11)