function y=deriv_epidemic(x,imm,inoc,alpha,a23,a24,a25,a53,a54,c)

% This function computes the state derivative vector

y(1)=alpha*imm-c*x(1)*x(2)-inoc;  % susceptibles rate of change (people/week)
y(2)=(1-alpha)*imm-a23*x(2)-a24*x(2)-a25*x(2)+c*x(1)*x(2);  % diseased rate of change
y(3)=a23*x(2)+a53*x(5)+inoc; % immune rate of change (people/week)
y(4)=a24*x(2)+a54*x(5); % deceased rate of change (people/week)
y(5)=a25*x(2)-a53*x(5)-a54*x(5); % quarantined rate of change (people/week)

return

