% m-file Ch7_Fig7_37.m
% plots Figure 7.37

clc, close all, clear all

F1_min=0; F1_max=10;
c_min=0; c_max=2;

load globe_surface_data

v=[5 20 60];
colormap([0 0 0])
%contour(cc,F11,z,v)
contour(cc,F11,z,v)
grid on
set(gca,'FontSize',11)
set(gca,'XTick',[0:0.2:2])
set(gca,'YTick',[0:10])

axis([c_min c_max F1_min F1_max])
xlabel('c  (ft^3/min per ft^{1/2})','FontSize',13)
ylabel('F_1  (ft^3/min)','FontSize',13)
text(0.6,10.45,'F_0 = 5, 20, 60 Contours','FontSize',11)

text(0.15,8.92,'F_0 = 60','FontSize',12)
text(0.15,4.20,'F_0 = 20','FontSize',12)
text(0.15,0.95,'F_0 = 20','FontSize',12)
text(0.15,3.12,'F_0 = 5','FontSize',12)
text(0.15,2.15,'F_0 = 5','FontSize',12)
