% m-file Ch7_fishery_1.m

clc, close all, clear all

k=4;
r=2;
mu=0.1; 

%%%%% Case A: 1 xe pt (3.4740)
e0=0.3; % input #1
E0=10; % input #2
x_initial=10;

a3=1;
a2=-k;
a1=(mu*k*E0)/r;
a0=-k*e0/r;
rr=roots([a3 a2 a1 a0])

% A.1 Given e0 and E0, find xe
x0=10;
u0=[e0;E0];
y0=0;
ix=[];
iu=[1,2];
iy=[];
[x,u,y,dx]=trim('fishery_1',x0,u0,y0,ix,iu,iy) 
  
% A.2 Given e0 and xe, find E0
x0=rr(1)
u0=[e0;0];
y0=0;
ix=1;
iu=1;
iy=[];
[x,u,y,dx]=trim('fishery_1',x0,u0,y0,ix,iu,iy)
 
% A.3 Given E0 and xe, find e0
x0=rr(1)
u0=[0;E0];
y0=0;
ix=1;
iu=2;
iy=[];
[x,u,y,dx]=trim('fishery_1',x0,u0,y0,ix,iu,iy)

%%%%% Case B: 3 xe pts (0.1814, 1.3278, 2.4908)
e0=0.3; % input #1
E0=20; % input #2
x_initial=10;
a1=(mu*k*E0)/r;
rr=roots([a3 a2 a1 a0])

% B.1 Given e0 and E0, find xe at 0.1814
x0=0;
u0=[e0;E0];
y0=0;
ix=[];
iu=[1,2];
iy=[];
[x,u,y,dx]=trim('fishery_1',x0,u0,y0,ix,iu,iy) 

% B.2 Given e0 and E0, Find xe at 1.3278
x0=1.0;
u0=[e0;E0];
y0=0;
ix=[];
iu=[1,2];
iy=[];
[x,u,y,dx]=trim('fishery_1',x0,u0,y0,ix,iu,iy)
 
% B.3  Given e0 and E0, find xe at 2.4908
x0=5;
u0=[e0;E0];
y0=0;
ix=[];
iu=[1,2];
iy=[];
[x,u,y,dx]=trim('fishery_1',x0,u0,y0,ix,iu,iy)