% Chap7_Toolbox_opt_sep_search.m
% Uses gradient search to find min separation

clc, close all, clear all

L=5000; % ft
m=2000/32.2; % slugs
mu=0.15; % lb per ft/sec
tau=m/mu;
vT=15*(5280/3600); % target speed (fps)
vP_initial=35*(5280/3600); % projectile initial speed (ft/sec)
t_init=800;
options = optimset('GradObj','on');
t_min=fminunc(@obj_fcn_D_sep,t_init,options,L,tau,vT,vP_initial) 
D_min=L+vT*t_min-tau*vP_initial*(1-exp(-t_min/tau))

  



