% Chap7_Toolbox_opt_ship.m

clc, close all, clear all

Kg=10*pi/180; % gyro gain (v/deg)
L=25; % saturation limit
Ks=0.04*180/pi; % ship gain (deg/sec per v)
tau=10.0; % ship time constant (sec)
t1=0;
theta_com=30; %  command heading (deg)

%%%%% optimization
c(1)=1; c(2)=1; c(3)=1; c(4)=0; c(5)=0;
Kp_init=1;
Kd_init=1;
A=[]; B=[]; Aeq=[]; Beq=[]; 
LB(1)=1; UB(1)=50;
LB(2)=0; UB(2)=50;
NONLCON=[];
OPTIONS=optimset('MaxFunEvals',500);
Kp_Kd_init=[Kp_init Kd_init];
[opt_Kp_Kd,FVAL,EXITFLAG,OUTPUT]=fmincon(@obj_fcn_ship,Kp_Kd_init,A,B,Aeq,Beq,LB,UB,NONLCON,OPTIONS,Kg,L,Ks,tau,t1,theta_com,c) % optimum Kp, Ki and P
Kp=opt_Kp_Kd(1) 
Kd=opt_Kp_Kd(2)

    