function [gradF_F1,gradF_c]=gradF_globe(FF,cc)

global T_design T_low T_high T_max A B del F1 c
F1=FF; c=cc;
dF1=0.01; dc=0.005; % increments used in computing gradient numerically
F1=F1+dF1;
sim('globe') 
t=H(:,1);
t_fill=t(end);                
if abs(t_fill-T_design)<= del/2          
  F_high=0;
elseif t_fill<T_low
  F_high=A*((t_fill/T_low)-1)^2;
else    
  F_high=B*((t_fill-T_high)/(T_max-T_high))^2;
end % if 
F1=F1-2*dF1; 
sim('globe') 
t=H(:,1);
t_fill=t(end);                
if abs(t_fill-T_design)<= del/2          
  F_low=0;
elseif t_fill<T_low
  F_low=A*((t_fill/T_low)-1)^2;
else    
  F_low=B*((t_fill-T_high)/(T_max-T_high))^2;
end % if 
gradF_F1=(F_high-F_low)/(2*dF1);  % gradient component in F1 direction
F1=F1+dF1;  % restore F1
c=c+dc; 
sim('globe') 
t=H(:,1);
t_fill=t(end);                 
if abs(t_fill-T_design)<= del/2          
  F_high=0;
elseif t_fill<T_low
  F_high=A*((t_fill/T_low)-1)^2;
else    
  F_high=B*((t_fill-T_high)/(T_max-T_high))^2;
end % if 
c=c-2*dc; 
sim('globe') 
t=H(:,1);
t_fill=t(end);                
if abs(t_fill-T_design)<= del/2          
  F_low=0;
elseif t_fill<T_low
  F_low=A*((t_fill/T_low)-1)^2;
else    
  F_low=B*((t_fill-T_high)/(T_max-T_high))^2;
end % if 
gradF_c=(F_high-F_low)/(2*dc);   % gradient component in c direction 

