function [g1,g2,g3,g4]=deriv_fast(u,w,theta_com)
% deriv_fast accepts values for
% the slow state variables u1,u2,u3
% the fast state varaibles w1,w2,w3,w4
% the input theta_com
% and returns the values of 
% the fast state derivatives w1dot,w2dot,w3dot,w4dot

global A B

g1=w(2); 
g2=w(3); 
g3=A(6,1)*u(1)+A(6,2)*u(2)+A(6,3)*u(3)+A(6,4)*w(1)+A(6,6)*w(3)+A(6,7)*w(4)+B(6)*theta_com;
g4=A(7,1)*u(1)+A(7,2)*u(2)+A(7,3)*u(3)-w(1)+A(7,7)*w(4)+B(7)*theta_com;

return
