function [f1,f2,f3]=deriv_slow(u,w)
% deriv_slow accepts values for
% the slow state variables u1,u2,u3
% the fast state varaibles w1,w2,w3,w4
% and returns the values of 
% the slow state derivatives u1dot,u2dot,u3dot

global A  

f1=A(1,2)*u(2)+A(1,3)*u(3);
f2=u(3);
f3=A(3,2)*u(2)+A(3,3)*u(3)+w(1);

return
