% File: Ch1_Prob1_10
% Parts b)- d)

close all, clear all, clc

R=0.25;P=15;f=50;F=250;
T=0.5;
t(1)=0;
fo(1)=0;
fi(1)=F;

A=100;
tfinal=200;
n_final=round(tfinal/T);
    for n=1:n_final
       t(n+1)=n*T;        
       fi(n+1)=F+f*sin(2*pi*t(n+1)/P);
       fo(n+1)=fo(n)*(1-(T/(A*R)))+(T/(A*R))*fi(n);       
    end
plot(t,fi,'k','LineWidth',1.3)
axis([0 tfinal 0 f+F+25])
hold on
plot(t,fo,'b','LineWidth',1.3)

H=R*fo;
plot(t,H,'r','LineWidth',1.3)
xlabel('\itt  \rm(min)')
title(' A = 100 ft^{2}')
text(30,150,'F_{0,A}(n)','FontSize',11)
text(100,80,'H_{0,A}(n)','FontSize',11)
text(135,180,'F_{1}(n)','FontSize',11)

plot([0 tfinal],[F-10 F-10],'k--')
plot([0 tfinal],[F+10 F+10],'k--')


figure
A=47;
tfinal=150;
n_final=round(tfinal/T);
    for n=1:n_final
       t(n+1)=n*T;        
       fi(n+1)=F+f*sin(2*pi*t(n+1)/P);
       fo(n+1)=fo(n)*(1-(T/(A*R)))+(T/(A*R))*fi(n);       
    end
plot(t,fi,'k','LineWidth',1.3)
set(gca,'XTick',[0:10:100])
axis([0 100 0 f+F+25])
hold on
plot(t,fo,'b','LineWidth',1.3)
plot([0 tfinal],[F-10 F-10],'k--')
plot([0 tfinal],[F+10 F+10],'k--')
H=R*fo;
plot(t,H,'r','LineWidth',1.3)
xlabel('\itt  \rm(min)')
title(' A = 47 ft^{2}')
text(15,150,'F_{0,A}(n)','FontSize',11)
text(50,82,'H_{0,A}(n)','FontSize',11)
text(68,180,'F_{1}(n)','FontSize',11)


   