% File: Ch1_Prob1_6.m

clear all, close all, clc

A=5; c=3;

H(1)=10;
t(1)=0;
hold on

dt=2.5;
for n=2:5
    t(n)=(n-1)*dt;
    H(n)=H(n-1) - (c/A)*sqrt(H(n-1))*dt;
    
    if H(n)<0 
        H(n)=0;
    end
    
end
plot(t,H,'*')
grid on

dt=1;
for n=2:11
    t(n)=(n-1)*dt;
    H(n)=H(n-1) - (c/A)*sqrt(H(n-1))*dt;
    
    if H(n)<0 
        H(n)=0;
    end
    
end
plot(t,H,'sr','MarkerSize',8)

dt=0.25;
for n=2:41
    t(n)=(n-1)*dt;
    H(n)=H(n-1) - (c/A)*sqrt(H(n-1))*dt;
    
    if H(n)<0 
        H(n)=0;
    end
    
end
plot(t,H,'.k','MarkerSize',9)
axis([0 10 -0.5 10])

title('Tank Level Approximation Using Different Values of \Delta\itt','Fontsize',11)
ylabel('\itH_{\rmA}  \rm(ft)','FontSize',11)
xlabel('\itt  \rm(min)','FontSize',11)

legend('\Delta\itt \rm= 2.5','\Delta\itt \rm= 1','\Delta\itt \rm= 0.25','Location','SouthWest')
text(4.5,6,'Nonlinear model: F_0 = cH^{1/2}','FontSize',11)


