% File: Ch1_Prob1_9
% Parts c) and d)

clear all, close all, clc

A=10; alpha=2;
HA(1)=25;
t(1)=0;
dt=0.1;
for n=2:501
  t(n)=(n-1)*dt;
  HA(n)=HA(n-1) - (alpha/A)*sqrt(HA(n-1))*dt;
end
for k=length(HA)
    if isreal(HA(k))==0  % check if H value is negative
        HA(k)=0;
    end
end
plot(t(1:10:end),HA(1:10:end),'.r','MarkerSize',10)
hold on
axis([0 50 -1 25])
ti=0:0.1:50;
Hi=(sqrt(25)-alpha*ti/(2*A)).^2;
for k=length(Hi)
    if isreal(Hi(k))==0  % check if Hi value is negative
        Hi(k)=0;
    end
end
plot(ti,Hi,'b','LineWidth',1.3)
title('Tank Level Approximation and Analytical Solution','Fontsize',11)
ylabel('\itH  \rm(ft)','FontSize',11)
xlabel('\itt  \rm(min)','FontSize',11)
text(30,12,'\Delta\itt \rm= 0.1 min','FontSize',11)
legend('\itH_{\rmA}\rm(n\Delta\itt\rm), n = 0,10,20,...','\itH\rm(\itt\rm), \itt \geq 0')

HA(1:50:end)
Hi(1:50:end)

  