% File: Ch2_FigE2_29.m
% Plots Figure E2.29

clc; close all; clear all

ti=linspace(0,30,500);
T0i=50+5*sin(pi*(ti-9)/12);
plot(ti,T0i,'b','LineWidth',1.3)
hold on
grid on
axis([0 24 44 56])
plot([0 30],[50 50],'--k')
title('Outside Temperature vs Time of Day','FontSize',11)
%xlabel('t  (h)','FontSize',13)
ylabel('T_0(t), \circF','FontSize',13)
set(gca,'FontSize',11)
set(gca,'XTick',[0:2:30])
set(gca,'YTick',[44:56])
text(-1,42.7,'6 AM','FontSize',11)
text(5,42.7,'Noon','FontSize',11)
text(11.25,42.7,'6 PM','FontSize',11)
text(16.8,42.7,'Midnite','FontSize',11)
text(23,42.7,'6 AM','FontSize',11)
text(25,43.455,'t (h)','FontSize',11)