% File: Ch2_Prob2_33.m

clc, clear all, close all

m=1; k=2; c=0.5; F0=3;
T=0.002;
tfinal=7;
nfinal=round(tfinal/T);
x1_LIM=10;
x2_LIM=20;


for i=1:250  
  converge='Y';  
  x1(1)=-10+20*rand;
  x2(1)=-10+20*rand;
  
    for n=1:nfinal-1
      x1(n+1)=x1(n)+T*x2(n);
      x2(n+1)=x2(n)-(T/m)*(k*x1(n)-(c*(x1(n)^2)-F0)*x2(n));
      
      if abs(x1(n+1))>x1_LIM | abs(x2(n+1))>x2_LIM
          converge='N';
          break
      end % if
          
    end % for n  
    
    plot(x1(1),x2(1),'.k','MarkerSize',12)
    hold on
    grid on
    if converge=='Y'
      plot(x1,x2,'b','LineWidth',1.3)
    else
      plot(x1,x2,'r','LineWidth',1.3)
    end % if converge
    
    axis([-x1_LIM x1_LIM -x2_LIM x2_LIM])
    clear x1 x2
        
end % for i    
      
      
xlabel('\itx_{\rm1}','FontSize',11)
ylabel('\itx_{\rm2}','FontSize',11)
title('Nonlinear System with Trajectories Repelled by Limit Cycle','FontSize',11)  
set(gca,'XTick',[-10:2:10],'FontSize',11)


