% File: Ch3_Ex3_3.m
% Generates numerical results for Example 3.3 and TABLE 3.4

clc
clear all
close all

T=0.1;

%%%%% begin explicit Euler

    xAe(1)=0;
            
   for n=1:10
      u(n)=exp(-2*(n-1)*T);
      xAe(n+1)=xAe(n)+T*u(n);      
   end % n   
   sprintf('xAe = %.4f \n',xAe)
   
         
%%%%% begin implicit Euler

    xAi(1)=0;  
                     
   for n=1:10
      u(n)=exp(-2*n*T);
      xAi(n+1)=xAi(n)+T*u(n);
   end % n   
   sprintf('xAi = %.4f \n',xAi)
   
   
%%%%% begin trapezoidal
    xAt(1)=0;  
                     
   for n=1:10
      xAt(n+1)=xAt(n)+0.5*T*(exp(-2*(n-1)*T)+exp(-2*n*T));
   end % n    
   sprintf('xAt = %.4f \n',xAt)
   
   
%%%%% begin continuous

   t=0:0.1:1;
   x=0.5*(1-exp(-2*t));
   sprintf('x = %.4f \n',x)
   
   
   
   
   

   