% m-file Ch4_Ex4_24.m
% Plots Figure 4.44

clc; close all; clear all

wT=0.1*pi;
tfinal=2;
t=linspace(0,tfinal,500);
x=(1/pi)*(1-cos(pi*t));
plot(t,x,'b','LineWidth',1.3)
v=[-0.1 2.1 -0.09 0.7];
axis(v)
hold on
A=sin(0.1*pi)/(1-cos(0.1*pi));
T=0.1;
kfinal=round(tfinal/T);
k=1:kfinal+1;
tk=(k-1)*T;
xk=0.05*(A-A*cos(k*wT)-sin(k*wT)); 
plot(tk,xk,'.r','MarkerSize',10)
grid on
plot([0 tfinal],[0 0],'k')
for i=1:10
    plot([tk(i) tk(i)],[-0.008 0.008],'k')
    text(tk(i)-0.01,-0.04,num2str(i-1))
end % k
for i=11:20
    plot([tk(i) tk(i)],[-0.008 0.008],'k')
    text(tk(i)-0.02,-0.04,num2str(i-1))
end % k
text(tfinal,-0.04,'k','FontSize',11)
xlabel('t  (s)','FontSize',12)
set(gca,'FontSize',11)
set(gca,'XTick',[0:0.2:2])
text(0.6,0.325,'x(t) = (1/\pi)(1-cos\pit)','FontSize',12)
text(1.58,0.43,'T = 0.1 s','FontSize',12)
title('Explicit Euler Integration of u(t) = sin\pit','FontSize',11)
text(1.45,0.625,'x(t), 0 \leq t \leq 2','FontSize',12)
plot([1.36 1.42],[0.625 0.625],'b','LineWidth',1.3)
text(1.43,0.53,'x_k , k = 0,1,2,...,20','FontSize',12)
plot(1.39,0.53,'.r','MarkerSize',10)