% m-file Ch4_Ex4_25.m
% Plots Figure 4.46

clc; close all; clear all

alpha=0.90; beta=0.1;
yminus1=2;
kfinal=50;
k=-1:kfinal+1;
yk1=(beta/(1-alpha))*(1-alpha.^(k+1)) + yminus1*alpha.^(k+1);
yk2=(beta/(1+alpha))*((-1).^k + alpha.^(k+1)) + yminus1*alpha.^(k+1);
plot(k,yk1,'.','MarkerSize',9)
grid on
xlabel('k','FontSize',12)
title('Unit Step and Unit Alternating Responses of  y_k = \betau_k + \alphay_{k-1}','FontSize',11)
v=[-1 kfinal+1 -0.1 2];
axis(v)
hold on
plot(k,yk2,'.:','MarkerSize',9)
set(gca,'FontSize',11)
set(gca,'YTick',[0:0.25:2])
set(gca,'XTick',[0:5:50])
text(14.5,1.32,'y_k , for u_k = 1, k = 0,1,2,... and y_{-1} = 2','FontSize',12)
text(11.5,0.83,'y_k , for u_k \rm= (-1)^k, k = 0,1,2,... and y_{-1} = 2','FontSize',12)
text(20,1.8,'\alpha = 0.9,  \beta = 1 - \alpha = 0.1','FontSize',12)