% m-file Ch4_Ex4_29.m
% Plots Figure 4.61

clear all ; close all; clc
alpha=0.9; beta=0.1;

h0=beta;
kfinal=30;
h0=beta;
k=1:kfinal;
h=beta*(alpha).^k;
k=[0 k];
h=[h0 h];
plot(k,h,'.b','MarkerSize',9)
hold on
v=[-1 kfinal+1 0 0.11];
plot([-1 kfinal],[0 0],'k')
axis(v)
xlabel('k','FontSize',13)
ylabel('h_k','FontSize',13)
title('Weighting Sequence h_k,  k = 0,1,2,3,...  for First-Order System','FontSize',11)

for k=1:kfinal+1
    plot([k-1 k-1],[0 h(k)],'k')
end
text(10,0.09,'y_k = \betau_{k} + \alphay_{k-1} ,  k = 0,1,2,3,...','FontSize',13) 
text(12,0.075,'(\alpha = 0.9, \beta = 0.1)','FontSize',13)
text(14,0.04,'h_k = \beta(\alpha)^k ,  k = 0,1,2,3,...','FontSize',13)
plot([13],[0.04],'.b','MarkerSize',9)
set(gca,'FontSize',11)
set(gca,'XTick',[0:2:30])
set(gca,'YTick',[0:0.01:0.1])

    
    