% Matlab file Ch4_Ex4_8.m
% Plots Figure 4.8
clc; clear all; close all

a=sqrt(3);
t=0:0.0001:5;

T=1;  
 td=t-T;    
 x1=(1/(4*T))*(1-exp(-t).*(cos(a*t)+(1/a)*sin(a*t))); 
 x2=(1/(4*T))*(1-exp(-td).*(cos(a*td)+(1/a)*sin(a*td))).*(t>=T); 
 xA=x1-x2;     
  
T=0.5; 
 td=t-T;  
 x1=(1/(4*T))*(1-exp(-t).*(cos(a*t)+(1/a)*sin(a*t))); 
 x2=(1/(4*T))*(1-exp(-td).*(cos(a*td)+(1/a)*sin(a*td))).*(t>=T); 
 xB=x1-x2; 
    
T=0.1; 
 td=t-T;    
 x1=(1/(4*T))*(1-exp(-t).*(cos(a*t)+(1/a)*sin(a*t))); 
 x2=(1/(4*T))*(1-exp(-td).*(cos(a*td)+(1/a)*sin(a*td))).*(t>=T); 
 xC=x1-x2;  
   
T=0.01; 
 td=t-T;    
 x1=(1/(4*T))*(1-exp(-t).*(cos(a*t)+(1/a)*sin(a*t))); 
 x2=(1/(4*T))*(1-exp(-td).*(cos(a*td)+(1/a)*sin(a*td))).*(t>=T); 
 xD=x1-x2;  
      
x_ir=exp(-t).*(sin(a*t))/a;

plot(t,xA,t,xB,t,xC,t,xD,t,x_ir,'LineWidth',1.3)
grid on
hold on
set(gca,'FontSize',11)
xlabel('t  (s)','FontSize',13)
ylabel('x(t)','FontSize',13)

text(0.45,0.0275,'T = 0.01 s','FontSize',12)
text(0.15,-0.0075,'impulse response','FontSize',12)
text(2.1,0.16,' T = 1 s','FontSize',12)
plot([1.65 2.0],[0.16 0.16],'k')
text(-0.6,0.32,'Pulse Response for Pulse Widths T = 0.01,0.1,0.5,1 s and Impulse Response','FontSize',11)
plot([1.4 1.69],[0.025 0.025],'k')
plot([1.65 1.88],[-0.01 -0.01],'k')