% m-file Ch4_Fig4_120.m
% Plots Figure 4.120

clc, close all, clear all

hold on
Amp_square=0.25; % amplitude of square wave noise 
f0_square=25; % frequency of square wave noise
T_square=1/f0_square; % period of square wave noise
tt=0:T_square/2:10*T_square;
for i=1:20
    if mod(i,2)==0
        plot([tt(i) tt(i+1)],[-Amp_square -Amp_square],'b','LineWidth',1.3)
        plot([tt(i) tt(i)],[-Amp_square Amp_square],'b','LineWidth',1.3)             
    else
        if i==1
          plot([tt(i) tt(i+1)],[Amp_square Amp_square],'b','LineWidth',1.3)
          plot([tt(i) tt(i)],[0 Amp_square],'b','LineWidth',1.3)
        else            
        plot([tt(i) tt(i+1)],[Amp_square Amp_square],'b','LineWidth',1.3)
        plot([tt(i) tt(i)],[-Amp_square Amp_square],'b','LineWidth',1.3)
        end
    end
end
grid on
set(gca,'FontSize',11)
axis([0 10*T_square -0.3 0.3])
xlabel('t  (s)','FontSize',13)
ylabel('n(t)','FontSize',13)
title('Noise f_0 = 25 Hz','FontSize',11)
set(gca,'YTick',[-Amp_square 0 Amp_square])
set(gca,'XTick',[0:T_square:10*T_square])