% m-file Ch5_Fig5_44_thru_5_48.m
% plots Figures 5.44 - 5.48

clc, close all, clear all

Ch5_cfparams1
sim('car_following')

%%%%% begin Figure 5.44
t=x0_x1(:,1);
x0=x0_x1(:,2);
x1=x0_x1(:,3);

% subplot(2,1,1)
% plot(t,x0,'b','LineWidth',1.3)
% grid on
% set(gca,'FontSize',11)
% ylabel('x_0  (ft)','FontSize',12)
% axis([0 90 0 7500])
% set(gca,'YTick',[0:1500:7500],'FontSize',11)
% set(gca,'XTick',[0:10:90],'FontSize',11)
% title('Lead Car Displacement vs Time','FontSize',11)
% 
% subplot(2,1,2)
% plot(t,x1,'b','LineWidth',1.3)
% grid on
% set(gca,'FontSize',11)
% xlabel('time  (s)','FontSize',12)
% ylabel('x_1  (ft)','FontSize',12)
% axis([0 90 0 7500])
% set(gca,'YTick',[0:1500:7500],'FontSize',11)
% set(gca,'XTick',[0:10:90],'FontSize',11)
% title('Following Car Displacement vs Time','FontSize',11)
% 

%%%%% begin Figure 5.45
figure(2)
v0=v0_v1(:,2);
v1=v0_v1(:,3);

% subplot(2,1,1)
% plot(t,v0,'b','LineWidth',1.3)
% grid on
% set(gca,'FontSize',11)
% ylabel('v_0  (mph)','FontSize',12)
% axis([0 90 0 70])
% set(gca,'YTick',[0:10:70])
% set(gca,'XTick',[0:10:90])
% title('Lead Car Speed vs Time','FontSize',11)
% 
% subplot(2,1,2)
% plot(t,v1,'b','LineWidth',1.3)
% grid on
% set(gca,'FontSize',11)
% xlabel('time  (s)', 'FontSize',12)
% ylabel('v_1  (mph)','FontSize',12)
% axis([0 90 0 70])
% set(gca,'YTick',[0:10:70])
% set(gca,'XTick',[0:10:90])
% title('Following Car Speed vs Time','FontSize',11)


% %%%% begin Figure 5.46
% figure(3)
% g=G_g(:,2);
% plot(t,g,'b','LineWidth',1.3)
% grid on
% set(gca,'FontSize',11)
% hold on
% plot([0 90],[G G],'r--','LineWidth',1.3)
% ylabel('g, G   (s)','FontSize',13)
% axis([0 90 0 3])
% set(gca,'YTick',[0:0.3:3],'FontSize',13)
% set(gca,'XTick',[0:10:90],'FontSize',11)
% title('Actual and Desired Gap vs Time','FontSize',11)
% xlabel('time  (s)', 'FontSize',13)
% text(15,2.8,'actual gap','FontSize',13)
% text(15,1.8,'desired gap','FontSize',13)


% %%%%% begin Figure 5.47
% figure(4)
% follow=fd(:,2);
% plot(t,follow,'b','LineWidth',1.3)
% grid on
% set(gca,'FontSize',11)
% ylabel('x_0 - x_1  (ft)','FontSize',13)
% axis([0 90 0 225])
% set(gca,'YTick',[0:25:225],'FontSize',13)
% set(gca,'XTick',[0:10:90],'FontSize',13)
% title('Following Distance vs Time','FontSize',11)
% xlabel('time  (s)', 'FontSize',13)

% 
% %%%%% begin Figure 5.48
% figure(5)
acc=x1dd(:,2);
plot(t,acc,'LineWidth',1.3)
grid on
set(gca,'FontSize',11)
ylabel('a_1  (ft/s^2)','FontSize',13)
axis([0 90 -6 12])
set(gca,'YTick',[-6:2:12],'FontSize',11)
set(gca,'XTick',[0:10:90],'FontSize',11)
title('Following Vehicle Acceleration vs Time','FontSize',11)
xlabel('time  (s)', 'FontSize',13)