% m-file Ch5_FigE5_49.m
% plots Figure E5.49 in Problem 5.49

clc, close all, clear all
wn=1;
y0=1; x10=y0;
yd0=0; x20=yd0;

zeta=0.25;
sim('Prob5_49')
x_1=x1(:,2);
x_2=x2(:,2);
plot(x_1,x_2,'b','LineWidth',1.3)
grid on
set(gca,'FontSize',11)
hold on
plot([1],[0],'.k','MarkerSize',15)
axis([-0.6 1.1 -0.8 0.4])
set(gca,'YTick',[-0.8:0.1:0.4])
xlabel('x_1','FontSize',12)
ylabel('x_2','FontSize',12)
title('Phase Trajectories of Unforced Second-Order System','FontSize',11)
text(-0.5,-0.55,'\zeta = 0.25','FontSize',13) 

zeta=1;
sim('Prob5_49')
x_1=x1(:,2);
x_2=x2(:,2);
plot(x_1,x_2,'b','LineWidth',1.3)
grid on
set(gca,'FontSize',11)
text(0.12,-0.25,'\zeta = 1','FontSize',13) 

zeta=2;
sim('Prob5_49')
x_1=x1(:,2);
x_2=x2(:,2);
plot(x_1,x_2,'b','LineWidth',1.3)
grid on
set(gca,'FontSize',11)
text(0.7,-0.12,'\zeta = 2','FontSize',13) 
text(0.4,0.32,'\omega_n = 1 rad/s','FontSize',13)
text(0.45,0.05,'x_1(0) = 1, x_2(0) = 0','FontSize',13)
