% m-file Ch6_Ex6_2.m

clc
clear all
close all

m0=1; c=0.05; alpha=0.10;
F=10;
v0=0;
T=0.5;

% RK-1 and RK-2 (Improved Euler)
vA(1)=v0;
v_euler(1)=v0;

i_final=10;
for i=1:i_final
   t(i)=(i-1)*T;
   v_euler(i+1)=v_euler(i)+T*deriv_f_Ex6_1(t(i),v_euler(i));    
   v_hat=vA(i)+T*deriv_f_Ex6_1(t(i),vA(i));
   vA(i+1)=vA(i)+(T/2)*(deriv_f_Ex6_1(t(i),vA(i))+deriv_f_Ex6_1(t(i)+T,v_hat));
end % for
vA_RK1=v_euler;
vA_RK2_I=vA;

% RK-2 (Modified Euler)
vA(1)=v0;
for i=1:i_final    
  t(i)=(i-1)*T;
  v_half=vA(i)+(T/2)*deriv_f_Ex6_1(t(i),vA(i));
  vA(i+1)=vA(i)+T*(deriv_f_Ex6_1(t(i)+(T/2),v_half));
end % for
vA_RK2_M=vA;

% Exact Solution
z1=F/alpha;
t(end+1)=t(i)+T;
z2=(1-(c/m0)*t).^(alpha/c);
v=z1-(z1-v0)*z2;

