% function deriv_boat.m for script file Chap6_Ex3_2.m

function y=deriv_boat(x,y)
L=1000; % River width
H=5000; % y coordinate of upstream pt
conv=528/360;
vr=5*conv; % River speed (ft/sec)
vb=15*conv; % Boat speed (ft/sec)

u=(H-y)/(L-x);
y=u-(vr/vb)*sqrt(1+u*u); % dy/dx

return
