% m-file Ch7_Fig7_23.m
% plots Figure 7.23

clc, clear all, close all

c1=1; c2=4;
h=5; k=10;
x1=1:0.1:9;
x2=8:0.1:12;
colormap([0 0 0])
[x1,x2]=meshgrid(x1,x2);
z=c1*(x1-h).^2 + c2*(x2-k).^2;
meshc(x1,x2,z)
axis([0 10 7 13 0 35])
xlabel('x_1','FontSize',13)
ylabel('x_2','FontSize',13)
zlabel('z','FontSize',13)
title('z = f(x_1, x_2)','FontSize',13)