function f=obj_fcn_D(angle,L,m,mu,vT,vP)
% Objective function for finding D_final

T=0.05; % integration step (sec) for RK-4
tfinal=200; % final sim time (sec)
opts=simset('SrcWorkSpace','current','DstWorkSpace','current','FixedStep',T);
theta=angle; % firing angle (rad) for 'CON' SIMULINK block in 'target_projectile.mdl'
sim('target_projectile',tfinal,opts); % run sim and return array D
f=D(end); % objective function: D_final (ft)

