% obj_fcn_D_sep.m
% objective function for use with Optimization Toolbox gradient search
% to find the minimum separation between target and projectile

function [f,g]=obj_fcn_D_sep(t,L,tau,vT,vP_initial)
f=L+vT*t-tau*vP_initial*(1-exp(-t/tau)); 
g=vT-vP_initial*exp(-t/tau);