% Plots objective function surface in Figure 3.20

load globe_surface_data

mesh(cc,F11,z)
axis([0 2 0 10 0 70])
set(gca,'XTick',[0:0.4:2])
set(gca,'YTick',[0:2:10])
h1 = xlabel('\itc','FontSize',11);
h2 = ylabel('\itF_{\rm1}','FontSize',11);
h3 = zlabel('\itz','FontSize',11);
title('Objective Function Surface: \itz \rm= \itF\rm(\itF_{\rm1}\rm,\itc\rm)','FontSize',11)
set(h1, 'Position',[0.75,-3.50]);
set(h2, 'Position',[-0.65,4,0]);
set(h3, 'Position',[-0.1,12,27]);
