% m-file Ch8_Fig8_73
% plots Figure 8.73

clc, close all, clear all
i=0;

for theta=-pi:pi/1000:-(1/1000)*pi
    i=i+1;
x=exp(j*theta);
a=0.25-0.75*x;
b=-x;
c=x.^2-x;
r=roots([a b c]);
lamT(i)=r(1);
end 
plot(lamT,'b','LineWidth',1.3)
grid on
axis([-2.1 0.25 0 1.6])
hold on
set(gca,'FontSize',11,'XTick',[-2:0.25:0.25],'YTick',[0:0.2:1.6])

i=0;
for theta=pi/1000:pi/1000:pi
    i=i+1;
x=exp(j*theta);
a=0.25-0.75*x;
b=-x;
c=x.^2-x;
r=roots([a b c]);
lamTT(i)=r(2);
end 
hold on
plot(lamTT,'b','LineWidth',1.3)

clear all
i=0;
for theta=pi/1000:pi/1000:(999/1000)*pi/2    
i=i+1;
x=exp(j*theta); 
a=0.125-0.625*x.^2;
b=-x.^2;
c=x.^4-x.^2;
r=roots([a b c]);
lamTT(i)=r(2);
end 
hold on
plot(lamTT,'r','LineWidth',1.3)


i=0;
for theta=(1001/1000)*pi/2:pi/1000:pi    
i=i+1;
x=exp(j*theta); 
a=0.125-0.625*x.^2;
b=-x.^2;
c=x.^4-x.^2;
r=roots([a b c]);
lamT(i)=r(1);
end 

plot(lamT,'r','LineWidth',1.3)
xlabel('Re(\lambdaT)','FontSize',13)
ylabel('Im(\lambdaT)','FontSize',13)
text(-2.48,1.7,'Stability Region for Second-Order, Non-Real-time and Real-time Predictor Correctors','FontSize',11)
text(-1.75,1.45,'\lambdaT plane','FontSize',13)
text(-1.1,0.85,'non-real-time','FontSize',13)
text(-1.9,1.05,'real-time','FontSize',13)