function y=deriv_H1(H1,H2,F0)

global A1 L2 c1 gam p0 

% deriv_H1 accepts values for the states H1,H2 and input F0
% and returns the value of H1_dot

discrim=gam*(H1-L2)-(H2/(L2-H2))*p0;
if discrim > 0
    F12=c1*sqrt(discrim);
else 
    F12=0;
end

y=(F0-F12)/A1; 

return