function y=deriv_H2(H1,H2,F0)

global A2 L2 c1 c2 gam p0 

% deriv_H2 accepts values for the states H1,H2 and input F0
% and returns the value of H2_dot

discrim=gam*(H1-L2)-(H2/(L2-H2))*p0;
if discrim > 0
    F12=c1*sqrt(discrim);
else 
    F12=0;
end

if H2 > 0
F2=c2*sqrt(gam*H2+(H2/(L2-H2))*p0);
else 
    F2=0;
end

y=(F12-F2)/A2;

return